import { addons } from '@storybook/addons';
import { create } from '@storybook/theming/create';

// brandImage fix for known SB webpack issue where SVGs aren't served locally when imported.
const logoAsPath = 'data:image/svg+xml;base64,[encoded data, 6104 characters]';

addons.setConfig({
  theme: create({
    base: 'light',
    colorPrimary: 'rgba(51, 52, 71, 1)',
    colorSecondary: 'rgba(64, 0, 191, 1)',
    brandImage: logoAsPath,
    appBg: 'white',
    appContentBg: 'rgba(240, 240, 240, 1)',
    appBorderColor: 'rgba(240, 240, 240, 1)',
    appBorderRadius: 3,
    brandUrl: 'https://insomnia.rest',
    mainFill: 'rgba(64, 0, 191, 1)',
    mainTextColor: 'rgba(64, 0, 191, 1)',
  }),
});
